package com.willalp.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.system.domain.SysDevice;

/**
 * 设备账户Service接口
 *
 * @author willalp
 * @date 2021-12-01
 */
public interface ISysDeviceService extends IService<SysDevice> {
    /**
     * 查询设备账户列表
     *
     * @param sysDevice 设备账户
     * @return 设备账户集合
     */
    public List<SysDevice> selectSysDeviceList(SysDevice sysDevice);

    void saveInfo(SysDevice sysDevice);

    void updateInfoById(SysDevice sysDevice);
}
